## ros-humble-as2-behaviors-motion 1.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
set(PROJECT_NAME as2_behaviors_motion)
project(${PROJECT_NAME} VERSION 1.0.0)

# Default to C++17
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
endif()

# set Release as default
if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif()

# find dependencies
set(PROJECT_DEPENDENCIES
  ament_cmake
  ament_cmake_ros
  pluginlib
  rclcpp
  rclcpp_action
  as2_core
  as2_msgs
  std_srvs
  as2_behavior
  as2_motion_reference_handlers
  geometry_msgs
  Eigen3
)

foreach(DEPENDENCY ${PROJECT_DEPENDENCIES})
  find_package(${DEPENDENCY} REQUIRED)
endforeach()

# Plugins
set(PLUGINS_CPP_FILES
  follow_path_behavior/plugins/follow_path_plugin_position.cpp
  follow_path_behavior/plugins/follow_path_plugin_trajectory.cpp
  go_to_behavior/plugins/go_to_plugin_position.cpp
  go_to_behavior/plugins/go_to_plugin_trajectory.cpp
  land_behavior/plugins/land_plugin_platform.cpp
  land_behavior/plugins/land_plugin_speed.cpp
  land_behavior/plugins/land_plugin_trajectory.cpp
  takeoff_behavior/plugins/takeoff_plugin_platform.cpp
  takeoff_behavior/plugins/takeoff_plugin_position.cpp
  takeoff_behavior/plugins/takeoff_plugin_speed.cpp
  takeoff_behavior/plugins/takeoff_plugin_trajectory.cpp
)

# Library
add_library(${PROJECT_NAME} ${PLUGINS_CPP_FILES})
target_include_directories(${PROJECT_NAME} PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>)

ament_target_dependencies(${PROJECT_NAME} ${PROJECT_DEPENDENCIES})
pluginlib_export_plugin_description_file(${PROJECT_NAME} plugins.xml)

install(
  TARGETS ${PROJECT_NAME}
  EXPORT export_${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)
ament_export_libraries(
  ${PROJECT_NAME}
)
ament_export_targets(
  export_${PROJECT_NAME}
)

# Executable
set(SUBPACKAGES
  follow_path_behavior
  go_to_behavior
  land_behavior
  takeoff_behavior
  follow_reference_behavior
)

foreach(EXECUTABLE ${SUBPACKAGES})
  include_directories(
    ${EXECUTABLE}/include
    ${EXECUTABLE}/include/${PROJECT_NAME}
  )

  add_executable(${EXECUTABLE}_node ${EXECUTABLE}/src/${EXECUTABLE}_main.cpp)

  target_include_directories(${EXECUTABLE}_node PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>)

  ament_target_dependencies(${EXECUTABLE}_node ${PROJECT_DEPENDENCIES})

  install(TARGETS ${EXECUTABLE}_node
    DESTINATION lib/${PROJECT_NAME})

  install(
    DIRECTORY ${EXECUTABLE}/include/
    DESTINATION include
  )

  install(
    DIRECTORY ${EXECUTABLE}/config/
    DESTINATION share/${PROJECT_NAME}/config/${EXECUTABLE}
  )

  ament_export_include_directories(
    include
  )
endforeach()

install(DIRECTORY
  launch
  DESTINATION share/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_cmake_cppcheck REQUIRED)
  find_package(ament_cmake_clang_format REQUIRED)

  ament_cppcheck(${SUBPACKAGES})

  ament_clang_format(${SUBPACKAGES}
    --config ${CMAKE_CURRENT_SOURCE_DIR}/.clang-format)
endif()

ament_package()

=== debian/changelog ===
ros-humble-as2-behaviors-motion (1.0.4-1jammy) jammy; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Tue, 22 Aug 2023 22:00:00 -0000

ros-humble-as2-behaviors-motion (1.0.3-1jammy) jammy; urgency=high

  * Merge pull request #317 <https://github.com/aerostack2/aerostack2/issues/317> from aerostack2/316-tf2_geometry_msgs-dep
    Only use tf2_geometry_msgs library when needed
  * only use library when needed
  * Contributors: Miguel Fernandez-Cortizas, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 21 Aug 2023 22:00:00 -0000

ros-humble-as2-behaviors-motion (1.0.2-1jammy) jammy; urgency=high

  * Merge pull request #304 <https://github.com/aerostack2/aerostack2/issues/304> from aerostack2/302-parametrize_tf_threshold_time
    302-Parametrize tf timeout in go to and follow reference behavior
  * parametrize tf timeout in go to and follow reference behavior
  * Merge pull request #273 <https://github.com/aerostack2/aerostack2/issues/273> from aerostack2/272-add_reference_facing_mode_to_follow_reference
    follow reference with reference facing added
  * add follow reference with new yaw mode
  * follow reference with reference facing added
  * Merge pull request #268 <https://github.com/aerostack2/aerostack2/issues/268> from aerostack2/fix_follow_path_with_reference
    follow path frame bug fixed, frame id argument added to python interface
  * follow path frame bug fixed, frame id argument added to python interface
  * Merge pull request #237 <https://github.com/aerostack2/aerostack2/issues/237> from aerostack2/unify_platform_launchers
    Unify launchers
  * Unify as2_behaviors_motion with config files
  * Contributors: Javier Melero, Javilinos, Miguel Fernandez-Cortizas, RPS98, Rafael Pérez, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Wed, 16 Aug 2023 22:00:00 -0000

ros-humble-as2-behaviors-motion (1.0.1-1jammy) jammy; urgency=high

  * Merge pull request #223 <https://github.com/aerostack2/aerostack2/issues/223> from aerostack2/200-unify-maintainer-in-packagexmls
    Maintainer unified to CVAR-UPM
  * Maintainer unified to CVAR-UPM
  * Merge pull request #214 <https://github.com/aerostack2/aerostack2/issues/214> from aerostack2/213-as2_behaviors_motion-add-land-with-trajectory
    [as2_behaviors_motion] Add land with trajectory
  * Add land plugin trajectory
  * Merge pull request #199 <https://github.com/aerostack2/aerostack2/issues/199> from aerostack2/196-as2_behaviors_motion-follow-reference-behavior
    [as2_behaviors_motion] Follow Reference Behavior Transforms Error
  * redundant-missplaced warning removed
  * Remove follow reference from motion behaviors launch
  * Contributors: Javilinos, Miguel Fernandez-Cortizas, RPS98, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 24 Apr 2023 22:00:00 -0000

ros-humble-as2-behaviors-motion (1.0.0-1jammy) jammy; urgency=high

  * Merge pull request #195 <https://github.com/aerostack2/aerostack2/issues/195> from aerostack2/add_follow_reference_behavior
    Follow reference typos fix
  * typos fix
  * Merge pull request #193 <https://github.com/aerostack2/aerostack2/issues/193> from aerostack2/add_follow_reference_behavior
    Add follow reference behavior
  * clang test passes, format changes, new individual launcher
  * feedback fixed
  * removed gdb from compiling
  * new behavior created and tested, modify tbd
  * Merge pull request #176 <https://github.com/aerostack2/aerostack2/issues/176> from aerostack2/175-as2_behaviors_motion-land-behavior-not-loading-land-speed-condition-parameter
    Loading parameters in land behavior fixed
  * fixes #175 <https://github.com/aerostack2/aerostack2/issues/175>
  * Merge pull request #163 <https://github.com/aerostack2/aerostack2/issues/163> from aerostack2/crazyflie_swarm_demo
    Crazyflie swarm demo updates
  * Merge pull request #160 <https://github.com/aerostack2/aerostack2/issues/160> from aerostack2/trajectory_generation
    Change trajectory generator name
  * Demo cf swarm updates
  * Change trajectory generator name
  * Revert "Change trayectory generator"
    This reverts commit fe17ea3f0a5ef1eb377e0779359bd75dc8c3212d.
  * Change trayectory generator
  * Merge branch 'main' into aruco_detect
  * Merge pull request #156 <https://github.com/aerostack2/aerostack2/issues/156> from aerostack2/go_to
    [as2_behaviors_motion] Change goto to go_to
  * Change goto to go_to
  * Merge pull request #152 <https://github.com/aerostack2/aerostack2/issues/152> from aerostack2/151-as2_behaviors_motion-follow-path-launch
    Stripping whitespaces in launch file name
  * stripping whitespaces in launch file name
  * rename movement_behavior launcher into motion_behaviors_launcher.py
  * Merge pull request #125 <https://github.com/aerostack2/aerostack2/issues/125> from aerostack2/as2_behaviors
    [as2_behaviors] Reorganize behaviors
  * Behaviors motion clang test
  * Reorganize behaviors
  * Contributors: Javilinos, Miguel Fernandez-Cortizas, RPS98, Rafael Pérez, pariaspe

 -- Miguel Fernandez-Cortizas <miguel.fernandez.cortizas@upm.es>  Fri, 17 Mar 2023 23:00:00 -0000

ros-humble-as2-behaviors-motion (0.2.2-1jammy) jammy; urgency=high



 -- Miguel Fernandez-Cortizas <miguel.fernandez.cortizas@upm.es>  Wed, 21 Dec 2022 23:00:00 -0000

ros-humble-as2-behaviors-motion (0.2.1-1jammy) jammy; urgency=high



 -- Miguel Fernandez-Cortizas <miguel.fernandez.cortizas@upm.es>  Sun, 18 Dec 2022 23:00:00 -0000

=== debian/control ===
Source: ros-humble-as2-behaviors-motion
Section: misc
Priority: optional
Maintainer: CVAR-UPM <cvar.upm3@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-clang-format <!nocheck>, ros-humble-ament-cmake-cppcheck <!nocheck>, ros-humble-ament-cmake-cpplint <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-as2-behavior, ros-humble-as2-core, ros-humble-as2-motion-reference-handlers, ros-humble-as2-msgs, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-rclcpp-action, ros-humble-std-srvs, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-as2-behaviors-motion
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-as2-behavior, ros-humble-as2-core, ros-humble-as2-motion-reference-handlers, ros-humble-as2-msgs, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-rclcpp-action, ros-humble-std-srvs, ros-humble-ros-workspace
Description: AS2 Movement Behaviors Behaviors Meta Package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-as2-behaviors-motion//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-as2-behaviors-motion 1.1.2

=== debian/changelog ===
ros-humble-as2-behaviors-motion (1.1.2-1bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Wed, 21 Aug 2024 16:00:00 -0000

ros-humble-as2-behaviors-motion (1.1.1-1bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 19 Aug 2024 16:00:00 -0000

ros-humble-as2-behaviors-motion (1.1.0-1bookworm) bookworm; urgency=high

  * [as2_behaviors_motion] Not overwritting behavior config file if user config file is empty
  * [as2_behaviors_motion] Update to ament lint auto and use as2_core launch param utils
  * [as2_behaviors_motion] Fix warning about service client access
  * Contributors: Miguel Fernandez-Cortizas, Rafael Perez-Segui, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Wed, 07 Aug 2024 16:00:00 -0000

ros-humble-as2-behaviors-motion (1.0.9-1bookworm) bookworm; urgency=high

  * Relative yaw in go_to fixed when frame is other than earth
  * Contributors: Javier Melero, Javilinos

 -- CVAR-UPM <cvar.upm3@gmail.com>  Sun, 24 Mar 2024 16:00:00 -0000

ros-humble-as2-behaviors-motion (1.0.8-1bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Sun, 11 Feb 2024 16:00:00 -0000

ros-humble-as2-behaviors-motion (1.0.7-1bookworm) bookworm; urgency=high

  * [refactor] format tests according with ament_lint_common() packages
  * [refactor] add std::string() to topic names in order to be able to add a char*
  * Contributors: Miguel Fernandez-Cortizas, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Sat, 03 Feb 2024 16:00:00 -0000

ros-humble-as2-behaviors-motion (1.0.6-1bookworm) bookworm; urgency=high

  * Takeoff and GoTo behavior renaming
  * Behavior composable nodes
  * Contributors: Miguel Fernandez-Cortizas, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 11 Dec 2023 16:00:00 -0000

ros-humble-as2-behaviors-motion (1.0.5-1bookworm) bookworm; urgency=high

  * tf timeout param added to go to function plus hotfix
  * tf utils, behaviors and controller adapted to deal with low latency frames that are not earth
  * timeout param added
  * Contributors: Javier Melero, Javilinos, Miguel Fernandez-Cortizas, Rodrigo Da Silva

 -- CVAR-UPM <cvar.upm3@gmail.com>  Tue, 07 Nov 2023 16:00:00 -0000

ros-humble-as2-behaviors-motion (1.0.4-1bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Tue, 22 Aug 2023 16:00:00 -0000

ros-humble-as2-behaviors-motion (1.0.3-1bookworm) bookworm; urgency=high

  * Merge pull request #317 <https://github.com/aerostack2/aerostack2/issues/317> from aerostack2/316-tf2_geometry_msgs-dep
    Only use tf2_geometry_msgs library when needed
  * only use library when needed
  * Contributors: Miguel Fernandez-Cortizas, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 21 Aug 2023 16:00:00 -0000

ros-humble-as2-behaviors-motion (1.0.2-1bookworm) bookworm; urgency=high

  * Merge pull request #304 <https://github.com/aerostack2/aerostack2/issues/304> from aerostack2/302-parametrize_tf_threshold_time
    302-Parametrize tf timeout in go to and follow reference behavior
  * parametrize tf timeout in go to and follow reference behavior
  * Merge pull request #273 <https://github.com/aerostack2/aerostack2/issues/273> from aerostack2/272-add_reference_facing_mode_to_follow_reference
    follow reference with reference facing added
  * add follow reference with new yaw mode
  * follow reference with reference facing added
  * Merge pull request #268 <https://github.com/aerostack2/aerostack2/issues/268> from aerostack2/fix_follow_path_with_reference
    follow path frame bug fixed, frame id argument added to python interface
  * follow path frame bug fixed, frame id argument added to python interface
  * Merge pull request #237 <https://github.com/aerostack2/aerostack2/issues/237> from aerostack2/unify_platform_launchers
    Unify launchers
  * Unify as2_behaviors_motion with config files
  * Contributors: Javier Melero, Javilinos, Miguel Fernandez-Cortizas, RPS98, Rafael Pérez, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Wed, 16 Aug 2023 16:00:00 -0000

ros-humble-as2-behaviors-motion (1.0.1-1bookworm) bookworm; urgency=high

  * Merge pull request #223 <https://github.com/aerostack2/aerostack2/issues/223> from aerostack2/200-unify-maintainer-in-packagexmls
    Maintainer unified to CVAR-UPM
  * Maintainer unified to CVAR-UPM
  * Merge pull request #214 <https://github.com/aerostack2/aerostack2/issues/214> from aerostack2/213-as2_behaviors_motion-add-land-with-trajectory
    [as2_behaviors_motion] Add land with trajectory
  * Add land plugin trajectory
  * Merge pull request #199 <https://github.com/aerostack2/aerostack2/issues/199> from aerostack2/196-as2_behaviors_motion-follow-reference-behavior
    [as2_behaviors_motion] Follow Reference Behavior Transforms Error
  * redundant-missplaced warning removed
  * Remove follow reference from motion behaviors launch
  * Contributors: Javilinos, Miguel Fernandez-Cortizas, RPS98, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 24 Apr 2023 16:00:00 -0000

ros-humble-as2-behaviors-motion (1.0.0-1bookworm) bookworm; urgency=high

  * Merge pull request #195 <https://github.com/aerostack2/aerostack2/issues/195> from aerostack2/add_follow_reference_behavior
    Follow reference typos fix
  * typos fix
  * Merge pull request #193 <https://github.com/aerostack2/aerostack2/issues/193> from aerostack2/add_follow_reference_behavior
    Add follow reference behavior
  * clang test passes, format changes, new individual launcher
  * feedback fixed
  * removed gdb from compiling
  * new behavior created and tested, modify tbd
  * Merge pull request #176 <https://github.com/aerostack2/aerostack2/issues/176> from aerostack2/175-as2_behaviors_motion-land-behavior-not-loading-land-speed-condition-parameter
    Loading parameters in land behavior fixed
  * fixes #175 <https://github.com/aerostack2/aerostack2/issues/175>
  * Merge pull request #163 <https://github.com/aerostack2/aerostack2/issues/163> from aerostack2/crazyflie_swarm_demo
    Crazyflie swarm demo updates


=== debian/control ===
Source: ros-humble-as2-behaviors-motion
Section: misc
Priority: optional
Maintainer: CVAR-UPM <cvar.upm3@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-as2-behavior, ros-humble-as2-core, ros-humble-as2-motion-reference-handlers, ros-humble-as2-msgs, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-rclcpp-action, ros-humble-rclcpp-components, ros-humble-std-srvs, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-as2-behaviors-motion
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-as2-behavior, ros-humble-as2-core, ros-humble-as2-motion-reference-handlers, ros-humble-as2-msgs, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-rclcpp-action, ros-humble-rclcpp-components, ros-humble-std-srvs, ros-humble-ros-workspace
Description: AS2 Movement Behaviors Behaviors Meta Package

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-as2-behaviors-motion//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-as2-behaviors-motion//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-as2-behaviors-motion//opt/ros/humble/opt/as2_behaviors_motion/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
